summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@fb.com>2023-01-16 15:48:10 -0800
committerJim Meyering <meyering@meta.com>2023-01-16 15:48:10 -0800
commit89f3daeaaf021a77177daec8666bcd80ec476833 (patch)
tree73fdd503632ac3818521fe8a1a82dd4cb1235f56
parentaa13187f2a982a2d3d46c93cd08691960915ac74 (diff)
downloaddiffutils-89f3daeaaf021a77177daec8666bcd80ec476833.tar.gz
tests: accommodate newer GNU make's SIGPIPE-ignore
* tests/colors: Allow an exit code of not just 141 (SIGPIPE), but also "error": 2. Reported by Tomasz Kłoczko in http://bugs.gnu.org/59905.
-rwxr-xr-xtests/colors5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/colors b/tests/colors
index a14e555..6ef729f 100755
--- a/tests/colors
+++ b/tests/colors
@@ -128,6 +128,9 @@ printf '%1000000s-a' > a
printf '%1000000s-b' > b
head -c 10 < fifo > /dev/null &
diff --color=always ---presume-output-tty a b > fifo
-test $? = 141 || fail=1
+
+# Depending on version of GNU make (4.3.92-4.4 set SIGPIPE to "ignore"),
+# either of these is acceptable.
+case $? in 2|141) ;; *) fail=1 ;; esac
Exit $fail